Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Geoprocess
Target version: 2.0.0-devel-2052
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2049 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1. Open GvSIG
2. Load line shapefile (http://downloads.gvsig.org/download/geodata/vector/SHP2D/hidro_andalucia.zip).
3. Click on buffer tool.
4. Select as Input Cover the line shapefile .
5. Keep the default value for Area defined by a field
6. Don't activate the Selected geometries checkbox.
7. Put any distance in the next box (e.g. 100).
8. Check on Dissolve entities, and Round Border.
9. Keep the default value for Influence areas and Number of radial buffers
10. Select a output layer
11. Press OK.
12. The error message is "java.lang.IndexOutOfBoundsException: Index:24, size :0" .

If we apply the geoprocess over a part of the geometries we get a different result. If we select around 3500 geometries the process
starts but seems to hang up just after finishing (calculating the last geometry). If we select around 500 geometries the process finish
properly.

History
#1 - 07/24/2012 10:01 AM - Vicent Domenech

maybe this bug is related with #911

#2 - 08/10/2012 11:39 AM - Manuel Madrid
- Target version set to 2.0.0-rc1

#3 - 08/13/2012 10:58 AM - Joaquín  del Cerro Murciano
- Assignee set to Ignacio Brodín

#4 - 08/23/2012 02:48 PM - Ignacio Brodín

gvsig-geoprocess:r286
http://downloads.gvsig.org/download/geodata/vector/SHP2D/hidro_andalucia.zip


#5 - 08/24/2012 11:56 AM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-geoprocess:r287

#6 - 08/30/2012 02:15 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2052

#7 - 09/06/2012 01:43 PM - Vicent Domenech
- Status changed from Fixed to Closed

Closed with gvSIG build 2052
org.gvsig.geoprocess.app.algorithm-1.0.0-SNAPSHOT-2047
org.gvsig.geoprocess.app.mainplugin-1.0.0-SNAPSHOT-2047
